aboutsummaryrefslogtreecommitdiffstats
path: root/main/inkscape/APKBUILD
diff options
context:
space:
mode:
authorNatanael Copa <ncopa@alpinelinux.org>2015-03-24 10:41:19 +0000
committerNatanael Copa <ncopa@alpinelinux.org>2015-03-24 13:02:21 +0000
commit4cf2bd2ef627119c33efa9c029b0152e37b97fd1 (patch)
treef2eed0a7a9a093b4e18d1a4440dc43639dc3dafa /main/inkscape/APKBUILD
parent5fdc92ee13656c132d92e26ed575d80ede9c1b7e (diff)
downloadaports-4cf2bd2ef627119c33efa9c029b0152e37b97fd1.tar.gz
aports-4cf2bd2ef627119c33efa9c029b0152e37b97fd1.tar.bz2
aports-4cf2bd2ef627119c33efa9c029b0152e37b97fd1.tar.xz
main/inkscape: enable dbus api and rebuild with new poppler
Diffstat (limited to 'main/inkscape/APKBUILD')
-rw-r--r--main/inkscape/APKBUILD38
1 files changed, 21 insertions, 17 deletions
diff --git a/main/inkscape/APKBUILD b/main/inkscape/APKBUILD
index 84a3725331..3bbcf1b3e7 100644
--- a/main/inkscape/APKBUILD
+++ b/main/inkscape/APKBUILD
@@ -1,27 +1,28 @@
# Maintainer: Natanael Copa <ncopa@alpinelinux.org>
pkgname=inkscape
pkgver=0.91
-pkgrel=0
+pkgrel=1
pkgdesc="A vector-based drawing program - svg compliant"
url="http://inkscape.sourceforge.net/"
arch="all"
license="GPL LGPL"
makedepends="
-poppler-dev
-imagemagick-dev
-gtkspell-dev
-gc-dev
-gtkmm-dev
-libxslt-dev
-gsl-dev
-py-xml
-popt-dev
-lcms-dev
-libxml2-dev
-boost-dev
-autoconf automake
-tar
-"
+ autoconf automake
+ boost-dev
+ dbus-dev
+ gc-dev
+ gsl-dev
+ gtkmm-dev
+ gtkspell-dev
+ imagemagick-dev
+ lcms-dev
+ libxml2-dev
+ libxslt-dev
+ poppler-dev
+ popt-dev
+ py-xml
+ tar
+ "
depends="desktop-file-utils"
install=
subpackages="$pkgname-doc $pkgname-lang $pkgname-view"
@@ -38,6 +39,9 @@ prepare() {
esac
done
#aclocal -I m4 && autoconf && automake -a && autoheader
+ # we enable fortify source by default so to silence warnings we
+ # remove it from cmdline
+ sed -i -e '/CPPFLAGS=/s/-D_FORTIFY_SOURCE=2//' configure || return 1
}
build() {
@@ -52,7 +56,7 @@ build() {
--with-xft \
--enable-lcms \
--enable-poppler-cairo \
- --disable-dependency-tracking \
+ --enable-dbusapi \
|| return 1
make || return 1
}